### Hierarchy

- Tileset

## Index

### Constructors

- constructor

### Properties

- bitmapData
- numRects
- rectData

### Methods

- addRect
- clone
- getRect
- getRectID
- get_bitmapData
- get_numRects
- hasRect
- set_bitmapData

## Constructors

### constructor

- new Tileset(bitmapData: BitmapData, rects?: Array<Rectangle>): Tileset

- - Defined in lib/openfl/display/Tileset.d.ts:21

  #### Parameters

  - ##### bitmapData: BitmapData

  - ##### Optional rects: Array<Rectangle>

  #### Returns Tileset

## Properties

### bitmapData

bitmapData: BitmapData

- Defined in lib/openfl/display/Tileset.d.ts:12

### numRects

numRects: number

- Defined in lib/openfl/display/Tileset.d.ts:19

### rectData

rectData: Vector<number>

- Defined in lib/openfl/display/Tileset.d.ts:17

## Methods

### addRect

- addRect(rect: Rectangle): number

- - Defined in lib/openfl/display/Tileset.d.ts:26

  #### Parameters

  - ##### rect: Rectangle

  #### Returns number

### clone

- clone(): Tileset

- - Defined in lib/openfl/display/Tileset.d.ts:27

  #### Returns Tileset

### getRect

- getRect(id: number): Rectangle

- - Defined in lib/openfl/display/Tileset.d.ts:29

  #### Parameters

  - ##### id: number

  #### Returns Rectangle

### getRectID

- getRectID(rect: Rectangle): null | number

- - Defined in lib/openfl/display/Tileset.d.ts:30

  #### Parameters

  - ##### rect: Rectangle

  #### Returns null | number

### Protected get_bitmapData

- get_bitmapData(): BitmapData

- - Defined in lib/openfl/display/Tileset.d.ts:14

  #### Returns BitmapData

### Protected get_numRects

- get_numRects(): number

- - Defined in lib/openfl/display/Tileset.d.ts:21

  #### Returns number

### hasRect

- hasRect(rect: Rectangle): boolean

- - Defined in lib/openfl/display/Tileset.d.ts:28

  #### Parameters

  - ##### rect: Rectangle

  #### Returns boolean

### Protected set_bitmapData

- set_bitmapData(value: BitmapData): BitmapData

- - Defined in lib/openfl/display/Tileset.d.ts:15

  #### Parameters

  - ##### value: BitmapData

  #### Returns BitmapData

Generated using TypeDoc